[arch-commits] Commit in libxcomposite/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 01:31:15 EDT 2009


    Date: Tuesday, April 14, 2009 @ 01:31:14
  Author: eric
Revision: 35586

Merged revisions 356,35580 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libxcomposite/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r35580 | eric | 2009-04-14 01:20:49 -0400 (Tue, 14 Apr 2009) | 2 lines
  
  upgpkg: libxcomposite 0.4.0-2
      Added license
........

Modified:
  libxcomposite/repos/extra-i686/	(properties)
  libxcomposite/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)


Property changes on: libxcomposite/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libxcomposite/trunk:1
   + /libxcomposite/trunk:1-35585

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-14 05:26:02 UTC (rev 35585)
+++ extra-i686/PKGBUILD	2009-04-14 05:31:14 UTC (rev 35586)
@@ -3,20 +3,21 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxcomposite
 pkgver=0.4.0
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Composite extension library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libxfixes' 'libxext' 'compositeproto')
 makedepends=('pkgconfig')
 options=(!libtool)
 source=(${url}/releases/individual/lib/libXcomposite-${pkgver}.tar.bz2)
+md5sums=('7e95395dea89be21bae929b9b7f16641')
 
 build() {
-  cd ${startdir}/src/libXcomposite-${pkgver}
+  cd ${srcdir}/libXcomposite-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-
-md5sums=('7e95395dea89be21bae929b9b7f16641')



More information about the arch-commits mailing list